Summary:	Dynamic Host Configuration Protocol Server
Name:		dhcp
%define version 2.0b1pl0
Version:	%{version}
Release:	3
Source0:	ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1:	dhcpd.init
Patch0:		dhcp-path.patch
Copyright:	distributable
Group:		Networking/Daemons
BuildRoot:	/tmp/dhcp-%{version}-root
Obsoletes:	dhcpd

%description
The Internet Software Consortium DHCP Server, dhcpd, implements the
Dynamic Host Configuration Protocol (DHCP) and the Internet Bootstrap
Protocol (BOOTP).  DHCP allows hosts on a TCP/IP network to request
and be assigned IP addresses, and also to discover information about
the network to which they are attached.  BOOTP provides similar
functionality, with certain restrictions.

%package client
Summary:	Dynamic Host Configuration Protocol Client
Group:		Networking/Utilities
Obsoletes:	dhcpcd

%description client
The Internet Software Consortium DHCP Client, dhclient, provides a
means for configuring one or more network interfaces using the Dynamic
Host Configuration Protocol, BOOTP protocol, or if these protocols
fail, by statically assigning an address.

%changelog
* Sun May 17 1998 Sorin Lingureanu <sorin@tuiasi.ro>
- backport to RedHat 4.2 

* Sun Mar 29 1998 Arne Coucheron <arneco@online.no>

- Updated to 2.0b1pl0-3
- Man, the Red Hat guys really enjoys reinventing the wheel. Instead
  of doing a quick check in the contrib for a already made rpm of this
  package, they've gone through all the trouble of making one from scratch.
  I guess they like torturing themselves. So I merged their version and mine
  and came up with the ultimate complete version. :-)

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>

- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>

- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>

- First package.

%prep
%setup

%patch0 -p1

%build
./configure
make DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{man/man5,man/man8,sbin}
mkdir -p $RPM_BUILD_ROOT/var/dhcpd

make ADMMANDIR=$RPM_BUILD_ROOT/usr/man/man8 BINDIR=$RPM_BUILD_ROOT/usr/sbin \
     CLIENTBINDIR=$RPM_BUILD_ROOT/sbin ETC=$RPM_BUILD_ROOT/etc \
     FFMANDIR=$RPM_BUILD_ROOT/usr/man/man5 VARDB=$RPM_BUILD_ROOT/var/dhcpd \
     VARRUN=$RPM_BUILD_ROOT/var/run install

install -m755 $RPM_SOURCE_DIR/dhcpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd
touch $RPM_BUILD_ROOT/etc/dhcpd.leases
touch $RPM_BUILD_ROOT/etc/dhclient.leases
strip $RPM_BUILD_ROOT/{sbin/*,usr/sbin/*} ||

%post
if [ ! -f /etc/dhcpd.leases ]; then
	touch /etc/dhcpd.leases
fi

%post client
if [ ! -f /etc/dhclient.leases ]; then
        touch /etc/dhclient.leases
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(644,root,root) %doc CHANGES README RELNOTES TODO doc/* server/dhcpd.conf
%attr(644,root,root) %ghost /etc/dhcpd.leases
%attr(755,root,root) %config /etc/rc.d/init.d/dhcpd
%attr(644,root,root) /usr/man/man5/dhcp-options.5
%attr(644,root,root) /usr/man/man5/dhcpd.conf.5
%attr(644,root,root) /usr/man/man5/dhcpd.leases.5
%attr(644,root,root) /usr/man/man8/dhcpd.8
%attr(644,root,root) /usr/man/man8/dhcrelay.8
%attr(755,root,root) /usr/sbin/dhcpd
%attr(755,root,root) /usr/sbin/dhcrelay
%attr(755,root,root) %dir /var/dhcpd

%files client
%attr(644,root,root) %doc CHANGES README RELNOTES TODO doc/* client/dhclient.conf
%attr(644,root,root) %ghost /etc/dhclient.leases
%attr(700,root,root) /etc/dhclient-script
%attr(755,root,root) /sbin/dhclient
%attr(644,root,root) /usr/man/man5/dhclient.conf.5
%attr(644,root,root) /usr/man/man5/dhclient.leases.5
%attr(644,root,root) /usr/man/man8/dhclient-script.8
%attr(644,root,root) /usr/man/man8/dhclient.8
%attr(755,root,root) %dir /var/dhcpd
